=== debian/control ===
Source: ros-foxy-clpe-ros
Section: misc
Priority: optional
Maintainer: Dongwoo Sun <dwsun@can-lab.co.kr>
Build-Depends: debhelper (>= 9.0.0), python3-colcon-common-extensions, ros-foxy-ament-cmake, ros-foxy-clpe, ros-foxy-clpe-ros-msgs, ros-foxy-cv-bridge, ros-foxy-geometry-msgs, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-clpe-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-clpe, ros-foxy-clpe-ros-msgs, ros-foxy-cv-bridge, ros-foxy-geometry-msgs, ros-foxy-image-transport, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-ros-workspace
Description: ROS driver for CANLAB CLPE-G-NVP2650D
